#!/bin/sh

. ./settings.sh

# Download & Install Debian Packages
apt update
apt install -y samba genisoimage wimtools cabextract

# configure Packages
cp ./resources/smb.conf /etc/samba/

# setup dirs:
mkdir -p ./non-free/windows
mkdir -p ./temp/waik

# restart services
systemctl restart smbd

# Download Windows Stuff:
WAIKURL="https://download.microsoft.com/download/8/E/9/8E9BBC64-E6F8-457C-9B8D-F6C9A16E6D6A/KB3AIK_EN.iso"
FILENAME="./temp/KB3AIK_EN.iso"
if ! [ -e $FILENAME ]; then
  wget -nc -O $FILENAME $WAIKURL
fi

if [ -e $FILENAME ]; then
  7z x -aos -o./temp/waik $FILENAME
fi

# Create winpe.iso
if ! [ -e ./non-free/windows/winpe.iso ]; then
  if [ -e ./temp/waik/WinPE.cab ]; then
    mkwinpeimg --iso --arch=amd64 --waik-dir=./temp/waik ./non-free/windows/winpe.iso
  fi
fi

# copy files to tftp server
cp -av ./non-free/windows ${TFTP}/non-free/

